#!/bin/sh

# Avoid adding value twice if nested.
case "$LD_PRELOAD" in
    *libtls-padding.so*)
        return
    ;;
esac

# Workaround a race that can cause getprop to return empty value.
DEVNAME=$(getprop ro.product.device)
while [ "$DEVNAME" = "" ] && sleep 0.1; do
    DEVNAME=$(getprop ro.product.device)
done

case "$DEVNAME" in
    krillin|vegetahd|arale)
        # See https://unix.stackexchange.com/a/162893
        export LD_PRELOAD=libtls-padding.so${LD_PRELOAD:+:${LD_PRELOAD}}
        ;;
esac
